﻿angular.module('fwapp.services')

.service('flupSrvyService', function ($q, $http, BaseService) {
    return {
        // 获取专科随访患者及任务信息
        getFlupPatient: function (vpId) {
            return BaseService.post("/FlupSrvy/GetFlupPatient");
        },

        // 获取随访记录
        srvyRecordList: function (patientId) {
            return BaseService.post("/FlupSrvy/SrvyRecordList", { patientId: patientId });
        },

        // 保存问卷
        saveRecord: function (tmplId, recId, vpId, taskId, patientId, values) {
            values["tmplId"] = tmplId;
            values["recId"] = recId;
            values["vpId"] = vpId;
            values["taskId"] = taskId;
            values["patientId"] = patientId;
            return BaseService.post("/FlupSrvy/SaveRecord", values);
        }
    }
})