﻿angular.module('fwapp.services')

// 满意度调查
.service('SatisService', function ($q, $http, BaseService) {
    return {
        // 获取未填写满意度调查数量
        satisCount: function () {
            return BaseService.post("/Satis/GetSatisSrvyCount");
        },
        // 获取未填写满意度调查列表
        satisList: function (status) {
            return BaseService.post("/Satis/GetSatisSrvyList", { status: status });
        },
        // 保存满意度调查
        saveSatis: function (satisSrvyId, ansValue, advice) {
            return BaseService.post("/Satis/SaveSatisSrvy", { satisSrvyId: satisSrvyId, ansValue: ansValue, ansAdvice: advice });
        }
    }
})