﻿angular.module('fwapp.services')

.service('SrvyService', function ($q, $http, BaseService) {
    return {
        srvyList: function () {
            return BaseService.post("/Srvy/SrvyList");
        },
        srvyInfo: function (typeId, vpId) {
            return BaseService.post("/Srvy/SrvyInfo", { typeId: typeId, vpId: vpId });
        },
        selfSrvyList: function (typeId, vpId) {
            return BaseService.post("/Srvy/SelfSrvyList", { typeId: typeId, vpId: vpId });
        },
        items: function (tmplId) {
            return BaseService.post("/Srvy/Items", { tmplId: tmplId });
        },
        loadRecord: function (tmplId, recId) {
            return BaseService.post("/Srvy/LoadRecord", { tmplId: tmplId, recId: recId });
        },
        saveRecord: function (tmplId, recId, vpId, values) {
            values["tmplId"] = tmplId;
            values["recId"] = recId;
            values["vpId"] = vpId;
            return BaseService.post("/Srvy/SaveRecord", values);
        },
        saveQuestionnaire: function (recId, opregId) {
            return BaseService.post("/Srvy/SaveQuestionnaire", { recId: recId, opregId: opregId });
        },
        getFeedBack: function (recId) {
            return BaseService.post("/Srvy/GetFeedBack", { recId: recId });
        },
        getSRVYResult: function (his_card_num, ip_notice_id) {
            return BaseService.post("/Srvy/GetSRVYResult", { his_card_num: his_card_num, ip_notice_id: ip_notice_id });
        },
        saveSRVY: function (stringArr, img, his_card_num, ip_notice_id, patient_name) {
            return BaseService.post("/Srvy/SaveSRVY", { stringArr: stringArr, img: img, his_card_num: his_card_num, ip_notice_id: ip_notice_id, patient_name: patient_name });
        }
    }
})