﻿// 发布版本全部置为false
// 开发模式开关
var devMode = false;
// 测试演示开关
var betaMode = false;
// 预约挂号缴费 强制开启
var isOpAppt = false;
// 在线开药 强制开启
var isOlTreatRecipe = false;
// 在线问诊 强制开启
var isConsultation = false;
// 北京银行银联支付 强制开启
var isBobPay = false;
// 支付宝 强制开启
var isAliPay = false;

// 当前系统平台
var currentPlatform = "";
// 当前APP版本
var currentAppVersion = "10528";
// 设备识别码
var deviceToken = (localStorage.deviceToken == null || localStorage.deviceToken.length == 0) ? "" : localStorage.deviceToken;

// 2019-05-22 16:31:12 切换为https地址
// 2020-05-06 08:17:07 切换为https地址
// api服务地址
var serviceUrl = "https://app.fuwaihospital.org:8182";
// 默认上传服务地址
var uploadUrl = "https://app.fuwaihospital.org:8182";
// 图片前缀地址
var picPrefix = "https://www.fuwaihospital.org";
/*
// 原http地址
// api服务地址
var serviceUrl = "http://app.fuwaihospital.org:8181";
// 默认上传服务地址
var uploadUrl = "http://app.fuwaihospital.org:8181";
// 图片前缀地址
var picPrefix = "http://www.fuwaihospital.org";
*/
// 开发模式重新赋值为内网环境
if (!window.cordova) {
    // 当前系统平台
    currentPlatform = "iOS";
    // api服务地址
    serviceUrl = "http://localhost:1793";
    // 默认上传服务地址
    uploadUrl = "http://localhost:1793";
    // 图片前缀地址
    picPrefix = "http://192.168.80.238:8085";
    // 设备识别码
    deviceToken = "xxzx-bst-132";
}

angular.module("fwapp", ['ngCordova', 'ionic', 'ion-alpha-scroll', 'ui.router', 'fwapp.filters', 'fwapp.controllers', 'fwapp.services', 'pickadate'])

.run(['$rootScope', '$http', '$timeout', '$window', '$state', '$ionicPlatform', '$ionicPopup', '$ionicLoading', '$ionicModal', '$ionicHistory', '$ionicScrollDelegate'
    , '$cordovaToast', '$cordovaKeyboard', '$cordovaSplashscreen', '$cordovaAppVersion', '$cordovaFileTransfer', '$cordovaFileOpener2', '$cordovaDevice'
    , '$fwCordovaToast', 'fwScrollDelegate', 'OpApptService', 'HospitalService'
    , function ($rootScope, $http, $timeout, $window, $state, $ionicPlatform, $ionicPopup, $ionicLoading, $ionicModal, $ionicHistory, $ionicScrollDelegate
    , $cordovaToast, $cordovaKeyboard, $cordovaSplashscreen, $cordovaAppVersion, $cordovaFileTransfer, $cordovaFileOpener2, $cordovaDevice
    , $fwCordovaToast, fwScrollDelegate, OpApptService, HospitalService) {
        // 适老化开关
        $rootScope.elderly = eval(localStorage.elderly);
        // 字体大小等级
        $rootScope.sizeRank = localStorage.sizeRank;
        // 2021-12-07 15:16:10 HM 适老化入口显示
        $rootScope.elderlyEntrance = false;

        // 获取适老化url
        $rootScope.getElderlyUrl = function (url) {
            if ($rootScope.elderly == true || $rootScope.elderly == 'true') {
                return "templates_elderly/" + url;
            }
            else {
                return "templates/" + url;
            }
        }

        // 适老化字体大小转数字
        $rootScope.getSizeRankNum = function () {
            if ($rootScope.sizeRank == "S" || $rootScope.sizeRank == "s") {
                return 1;
            }
            else if ($rootScope.sizeRank == "M" || $rootScope.sizeRank == "m") {
                return 2;
            }
            else if ($rootScope.sizeRank == "L" || $rootScope.sizeRank == "l") {
                return 3;
            }
            else if ($rootScope.sizeRank == "XL" || $rootScope.sizeRank == "xl") {
                return 4;
            }
        }

        // 调试开关rootScope赋值
        if (typeof (devMode) != "undefined") {
            $rootScope.devMode = devMode;
        }
        if (typeof (betaMode) != "undefined") {
            $rootScope.betaMode = betaMode;
        }
        if (typeof (isOpAppt) != "undefined") {
            $rootScope.isOpAppt = isOpAppt;
        }
        if (typeof (isOlTreatRecipe) != "undefined") {
            $rootScope.isOlTreatRecipe = isOlTreatRecipe;
        }
        if (typeof (isConsultation) != "undefined") {
            $rootScope.isConsultation = isConsultation;
        }
        if (typeof (isBobPay) != "undefined") {
            $rootScope.isBobPay = isBobPay;
        }
        if (typeof (isAliPay) != "undefined") {
            $rootScope.isAliPay = isAliPay;
        }
        // 2018-9-10 16:40:03 检查新预约挂号开启状态 切换入口
        // 默认关闭 入口指向addWish
        // 2018-11-28 12:44:28 默认开启 入口指向opAppt
        $rootScope.opApptData = {};
        $rootScope.opApptData.status = true;

        // 设置首页模块列表
        $rootScope.setModelList = function () {
            // 开发
            if (devMode) {
                $rootScope.modelList.splice(6, 0, {
                    name: "在线简易门诊",
                    href: "#/app/olTreatRecipe//",
                    iconClass: "icon fwicon-mzcf-outline"
                });
            }
            // 测试
            if (betaMode) {
                if (isOpAppt || $rootScope.opApptData.status) {
                    $rootScope.modelList.push({
                        name: "预约挂号(新)",
                        href: "#/app/opAppt//",
                        iconClass: "icon fwicon-yygh-outline"
                    });
                }
            }
            // 正式
            else {
                if (isOpAppt || $rootScope.opApptData.status) {
                    $rootScope.modelList.splice(1, 1, {
                        name: "预约挂号",
                        href: "#/app/opAppt//",
                        iconClass: "icon fwicon-yygh-outline"
                    });
                }
            }

            // 模块页数
            var arrPage = new Array(Math.ceil($rootScope.modelList.length / $rootScope.modelCountPrePage));
            for (var i = 0; i < arrPage.length; i++) {
                arrPage[i] = i;
            }
            $rootScope.modelPageRepeat = arrPage;
        }

        // 检查新预约挂号开启状态
        $rootScope.checkOpApptServerStatus = function () {
            // 检查预约挂号开关
            OpApptService.checkServerStatus().then(function (data) {
                // 开放
                if (data.result == 1) {
                    // 开启 入口指向opAppt
                    $rootScope.opApptData.status = true;
                    //console.log("OpAppt: ON");
                }
                // 关闭
                else {
                    $rootScope.opApptData.status = false;
                    //console.log("OpAppt: OFF");
                }
                // 在首页 刷新模块列表
                if ($state.current.name == "app.home") {
                    $rootScope.setModelList();
                }
                // 真机环境隐藏载入界面
                if (window.cordova && $cordovaSplashscreen) {
                    $cordovaSplashscreen.hide();
                }
            }, function (data) {
                $ionicLoading.hide();
                //console.log("OpAppt: ERROR");
            })
        }

        // 2020-4-17 11:14:20 用户隐私政策
        $rootScope.privacyPolicy = {
            content: "",
            usage: ""
        };

        // 注册模态窗口：用户隐私政策
        $ionicModal.fromTemplateUrl($rootScope.getElderlyUrl("privacyPolicy.html"), {
            scope: $rootScope
        }).then(function (modal) {
            $rootScope.privacyPolicyModal = modal;
        });

        // 初始化
        $ionicPlatform.ready(function () {
            $rootScope.backButtonPressedOnceToExit = false;
            $rootScope.currentPlatform = currentPlatform;
            $rootScope.currentAppVersion = currentAppVersion;

            if (window.cordova && $cordovaDevice) {
                // 获取当前系统平台
                currentPlatform = $cordovaDevice.getPlatform();
                $rootScope.currentPlatform = currentPlatform;
                // 获取当前APP版本
                $cordovaAppVersion.getVersionCode().then(function (versionCode) {
                    if (versionCode != null && versionCode > 0) {
                        // 还原cordova给versionCode加的后缀
                        var strVersionCode = versionCode.toString();
                        currentAppVersion = strVersionCode.substr(0, strVersionCode.length - 1);
                        $rootScope.currentAppVersion = currentAppVersion;
                    }
                });
            }

            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleLightContent();
            }

            //物理返回按钮控制&双击退出应用
            $ionicPlatform.registerBackButtonAction(function (e) {
                if ($cordovaKeyboard.isVisible()) {
                    $cordovaKeyboard.close();
                } else if ($rootScope.backButtonPressedOnceToExit) {
                    ionic.Platform.exitApp();
                } else if ($ionicHistory.currentView().stateName == 'app.home') {
                    $rootScope.backButtonPressedOnceToExit = true;
                    if ($window.plugins) {
                        $cordovaToast.showShortBottom('再按一次退出系统');
                    }
                    else {
                        console.warn('Toast:\n再按一次退出系统');
                    }
                    setTimeout(function () {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 2000);
                } else {
                    $ionicHistory.goBack();
                }
                e.preventDefault();
                return false;
            }, 125);

            if (typeof (localStorage.hasLogin) == 'undefined' || localStorage.hasLogin == null) {
                localStorage.hasLogin = 0;
            }
            if (typeof (localStorage.currentAccountId) == 'undefined' || localStorage.currentAccountId == null) {
                localStorage.currentAccountId = '';
            }
            if (typeof (localStorage["lastMsgId_"]) == "undefined" || localStorage["lastMsgId_"] == null) {
                localStorage.lastMsgId = 0;
            }
            $rootScope.currentAccountId = localStorage.currentAccountId;

            // 绑定显示键盘事件， 显示键盘时，点击后退
            window.addEventListener('native.keyboardshow', keyboardShowHandler);
            window.addEventListener('native.keyboardhide', keyboardHideHandler);

            function keyboardShowHandler(e) {
                $ionicPlatform.registerBackButtonAction(function (e) {
                    e.preventDefault();
                    return false;
                }, 525, 'temp');
            }

            function keyboardHideHandler(e) {
                setTimeout(function () {
                    for (actionId in $ionicPlatform.$backButtonActions) {
                        if ($ionicPlatform.$backButtonActions[actionId].id == 'temp') {
                            $ionicPlatform.$backButtonActions[actionId].priority = 0;
                        }
                    }
                }, 500);
            }

            // 检查预约状态开关 设置首页模块列表
            //$rootScope.checkOpApptServerStatus();

            // 真机环境
            if (window.cordova) {
                // 2019-01-03 15:45 屏幕旋转重置状态栏
                if (screen.orientation && screen.orientation.onchange) {
                    screen.orientation.onchange = function () {
                        console.log(JSON.stringify(screen.orientation));
                        if (window.StatusBar) {
                            // org.apache.cordova.statusbar required
                            StatusBar.hide();
                            StatusBar.show();
                        }
                    }
                }
                // 2019-01-03 15:45 锁定屏幕方向为竖屏（有bug 在iOS上无效）
                if (screen.orientation && screen.orientation.lock) {
                    screen.orientation.lock('portrait');
                }
                // 隐藏载入界面
                if ($cordovaSplashscreen) {
                    $cordovaSplashscreen.hide();
                }
            }

            // 满意度调查
            function checkSatisSrvy() {
                $http({
                    method: 'POST',
                    dataType: 'JSON',
                    url: serviceUrl + "/IpSatis/IpSatisSrvyCount",
                    withCredentials: true
                }).success(function (data, status) {
                    // 2021-4-14 09:18:01 患者随访（住院满意度）开关打开时优先弹出患者随访弹窗 否则按原路径与门诊满意度汇总弹出
                    if (devMode || data.ipSatisFlupServerStatus) {
                        // 患者随访优先级高
                        if (data.ipCount > 0) {
                            var confirmPopup = $ionicPopup.confirm({
                                title: data.ipTitle,
                                template: data.ipDescr,
                                cancelText: '稍后再说',
                                okText: '立即填写'
                            });
                            // 立即填写, 跳转
                            confirmPopup.then(function (res) {
                                if (res) {
                                    $state.go('app.ipSatis', { satisId: data.satisId });
                                }
                                else {
                                    // 判断是否有门诊满意度
                                    checkOpSatisSrvy(data);
                                }
                            })
                        }
                        else {
                            // 判断是否有门诊满意度
                            checkOpSatisSrvy(data);
                        }
                    }
                    else {
                        // counts总数量
                        if (data.result == 1 && data.counts > 0 && $state.current.name != "app.satis" && $state.current.name != "app.ipSatis") {
                            var confirmPopup = $ionicPopup.confirm({
                                title: data.title,
                                template: data.descr,
                                cancelText: '稍后再说',
                                okText: '立即填写'
                            });
                            // 立即填写, 跳转
                            confirmPopup.then(function (res) {
                                if (res) {
                                    // 无住院满意度
                                    if (data.ipCount == 0) {
                                        $state.go('app.satis', { status: "1" });
                                    }
                                    else {
                                        $state.go('app.ipSatis', { satisId: data.satisId });
                                    }
                                }
                            })
                        }
                    }
                }).error(function (data, status) {
                    ;
                });
            }

            // 判断是否有门诊满意度
            function checkOpSatisSrvy(data) {
                if (data.opCount > 0) {
                    var confirmPopup = $ionicPopup.confirm({
                        title: data.opTitle,
                        template: data.opDescr,
                        cancelText: '稍后再说',
                        okText: '立即填写'
                    });
                    // 立即填写, 跳转
                    confirmPopup.then(function (res) {
                        if (res) {
                            $state.go('app.satis', { status: "1" });
                        }
                    })
                }
            }

            // 2018-9-26 13:24:09 统一版本更新
            // 检查更新
            $rootScope.checkUpdate = function (platform, isForced, showMsg, callbackNext, isManual) {
                // 真机
                if (window.cordova && $cordovaAppVersion) {
                    // 获取当前版本
                    $cordovaAppVersion.getVersionNumber().then(function (version) {
                        // 获取服务器版本
                        $http.jsonp(serviceUrl + '/Version/CurrentVersionV2?platform=' + platform + '&version=' + version + '&callback=JSON_CALLBACK').success(function (data, status) {
                            // 当前版本是最新 无更新
                            if (data.result == 0) {
                                if (showMsg) {
                                    $fwCordovaToast.showShortBottom('当前已是最新版本');
                                }
                                if (callbackNext && ($rootScope.elderly == false || $rootScope.elderly == "false")) {
                                    callbackNext();
                                }
                            }
                            // 当前版本非最新 有更新
                            else {
                                // 显示版本更新提示
                                var info = '当前版本：' + version
				                        + '<br/>最新版本：' + data.data.VERSION
				                        + '<br/><br/>更新内容：' + data.data.UPDATE_INFO;
                                // 2020-05-07 16:31:51 判断是否需要验证md5
                                var md5 = '';
                                if (typeof (data.data.FILE_MD5) != 'undefined' && data.data.FILE_MD5 != '') {
                                    md5 = data.data.FILE_MD5;
                                }
                                if (!isManual && data.type == 3) {
                                    showUpdateConfirm(platform, info, data.data.URL, true, md5);
                                }
                                else if (isManual || data.type == 2) {
                                    showUpdateConfirm(platform, info, data.data.URL, false, md5);
                                }
                            }
                        }).error(function (data, status) {
                            if (showMsg) {
                                $fwCordovaToast.showShortBottom('检查更新失败');
                            }
                        });
                    });
                }
                // 非真机
                else {
                    if (callbackNext && ($rootScope.elderly == false || $rootScope.elderly == "false")) {
                        callbackNext();
                    }
                }
            }

            // 版本是否更高
            function isVersionHigher(verA, verB) {
                var result = false;
                var arrA = verA.split(".");
                var arrB = verB.split(".");
                for (var i = 0; i < Math.max(arrA.length, arrB.length); i++) {
                    if (Number(arrA[i]) < Number(arrB[i])) {
                        break;
                    }
                    else if (Number(arrA[i]) > Number(arrB[i])) {
                        result = true;
                        break;
                    }
                }
                console.log(verA + (result ? " > " : " <= ") + verB);
                return result;
            }

            // 显示版本更新提示
            function showUpdateConfirm(platform, info, url, isForced, md5) {
                var popupOptions = {
                    title: '检测到新版本',
                    template: info,
                    buttons: [{
                        text: '更新',
                        type: 'button-positive'
                    }]
                };
                if (platform == "Android") {
                    popupOptions.buttons[0].onTap = function (e) {
                        //e.preventDefault();
                        // 下载并打开apk
                        downloadApk(url, md5);
                    };
                    // 注册返回键
                    $ionicPlatform.registerBackButtonAction(function (e) { e.preventDefault(); }, 501);
                }
                else if (platform == "iOS") {
                    popupOptions.buttons[0].onTap = function (e) {
                        //e.preventDefault();
                        // 跳转到AppStore
                        window.location.href = url;
                    };
                }
                // 非强制更新
                if (!isForced) {
                    popupOptions.buttons.unshift({
                        text: '取消'
                    });
                }
                var confirmPopup = $ionicPopup.show(popupOptions);
            }

            // 下载并打开apk
            function downloadApk(apkUrl, md5) {
                $ionicLoading.show({
                    template: "已经下载：0%"
                });
                //可以从服务端获取更新APP的路径
                var url = apkUrl;
                //APP下载存放的路径，可以使用cordova file插件进行相关配置
                var targetPath = "file:///sdcard/Android/data/com.fuwaihospital.fwapp/cache/fwapp.apk";
                var options = {};
                var trustHosts = true
                // 下载apk
                $cordovaFileTransfer.download(url, targetPath, options, trustHosts).then(function (result) {
                    // 2020-05-07 16:22:21 需要验证md5
                    if (md5 != null && md5 != '') {
                        // 计算md5
                        window.plugins.md5chksum.file(result, function (md5sum) {
                            if (md5sum == md5) {
                                // 打开下载下来的apk
                                $cordovaFileOpener2.open(targetPath, 'application/vnd.android.package-archive').then(function () {
                                    // 成功
                                    $ionicLoading.hide();
                                }, function (err) {
                                    // 错误
                                    $ionicLoading.hide();
                                });
                            }
                            else {
                                var alertPopup = $ionicPopup.alert({
                                    title: '更新失败',
                                    template: '安装包验证失败，请重新下载',
                                    okText: '确定'
                                });
                                console.log(md5sum);
                                $ionicLoading.hide();
                            }
                        }, function (md5err) {
                            alert(md5err);
                            $ionicLoading.hide();
                        });
                    }
                    // 无需验证md5 直接安装
                    else {
                        // 打开下载下来的apk
                        $cordovaFileOpener2.open(targetPath, 'application/vnd.android.package-archive').then(function () {
                            // 成功
                            $ionicLoading.hide();
                        }, function (err) {
                            // 错误
                            $ionicLoading.hide();
                        });
                    }
                }, function (err) {
                    var alertPopup = $ionicPopup.alert({
                        title: '下载失败',
                        template: '下载安装包失败，请稍后重试',
                        okText: '确定'
                    });
                    console.log(JSON.stringify(err));
                    $ionicLoading.hide();
                }, function (progress) {
                    var downloadProgress = (progress.loaded / progress.total) * 100;
                    $ionicLoading.show({
                        template: "已经下载：" + Math.floor(downloadProgress) + "%"
                    });
                    if (downloadProgress > 99) {
                        $ionicLoading.hide();
                    }
                });
            }

            // 获取用户隐私政策
            $rootScope.getPrivacyPolicy = function () {
                HospitalService.privacyPolicy().then(function (data) {
                    $rootScope.privacyPolicy.content = data;
                });
            } ();

            // 显示隐私政策授权
            $rootScope.privacyPolicyShow = function (usage) {
                $rootScope.privacyPolicy.usage = usage;
                $rootScope.privacyPolicyModal.show();
                // 注册返回键
                $ionicPlatform.registerBackButtonAction(function (e) {
                    $rootScope.privacyPolicyHide();
                    e.preventDefault();
                    return false;
                }, 502, 'privacyPolicyModal');
                if ($rootScope.privacyPolicy.usage == 'auth' && $rootScope.privacyPolicyPopup) {
                    $rootScope.privacyPolicyPopup.close();
                    // 解除返回键绑定
                    for (actionId in $ionicPlatform.$backButtonActions) {
                        if ($ionicPlatform.$backButtonActions[actionId].id == 'privacyPolicyPopup') {
                            $ionicPlatform.$backButtonActions[actionId].priority = 0;
                        }
                    }
                }
            }

            // 隐藏用户隐私政策
            $rootScope.privacyPolicyHide = function () {
                $rootScope.privacyPolicyModal.hide();
                fwScrollDelegate.$getByHandle('policy_scroll').scrollTop();
                // 解除返回键绑定
                for (actionId in $ionicPlatform.$backButtonActions) {
                    if ($ionicPlatform.$backButtonActions[actionId].id == 'privacyPolicyModal') {
                        $ionicPlatform.$backButtonActions[actionId].priority = 0;
                    }
                }
                if ($rootScope.privacyPolicy.usage == 'auth') {
                    $timeout(function () {
                        $rootScope.checkPrivacyPolicyAuthStatus();
                    }, 500);
                }
            }

            // 检查用户隐私政策授权状态
            $rootScope.checkPrivacyPolicyAuthStatus = function () {
                // 已授权
                if (localStorage.privacyPolicyAuthStatus === "1") {
                    // 2018-9-27 11:01:51 调用检查更新
                    $rootScope.checkUpdate(currentPlatform, true, false, checkSatisSrvy, false);
                }
                // 未授权
                else {
                    // 确认提示
                    $rootScope.privacyPolicyPopup = $ionicPopup.show({
                        title: "用户隐私政策",
                        template: "欢迎使用掌上阜外医院APP，当您使用本软件时，我们可能会对您的部分个人信息进行收集、使用，请仔细阅读<a href='javascript:void(0)' ng-click='privacyPolicyShow(\"auth\")'>《用户隐私政策》</a>并确认我们对您个人信息的处理规则，主要包括：<br />1. 我们如何收集和使用个人信息<br />2. 我们对cookie和同类技术的使用",
                        buttons: [{
                            text: '不同意',
                            onTap: function (e) {
                                e.preventDefault();
                                // 二次确认
                                $ionicPopup.confirm({
                                    title: "提示",
                                    template: "不同意用户隐私政策将会无法使用本产品提供的相关服务",
                                    cancelText: '返回',
                                    okText: '确定并退出'
                                }).then(function (res) {
                                    if (res) {
                                        console.log('exitApp');
                                        // 退出APP
                                        ionic.Platform.exitApp();
                                    }
                                })
                            }
                        }, {
                            text: '同意',
                            type: 'button-positive',
                            onTap: function (e) {
                                // 写入授权状态
                                localStorage.privacyPolicyAuthStatus = "1";
                                // 解除返回键绑定
                                for (actionId in $ionicPlatform.$backButtonActions) {
                                    if ($ionicPlatform.$backButtonActions[actionId].id == 'privacyPolicyPopup'
                                        || $ionicPlatform.$backButtonActions[actionId].id == 'privacyPolicyModal') {
                                        $ionicPlatform.$backButtonActions[actionId].priority = 0;
                                    }
                                }
                                // 2018-9-27 11:01:51 调用检查更新
                                $rootScope.checkUpdate(currentPlatform, true, false, checkSatisSrvy, false);
                            }
                        }]
                    })
                    // 注册返回键
                    $ionicPlatform.registerBackButtonAction(function (e) {
                        e.preventDefault();
                        return false;
                    }, 501, 'privacyPolicyPopup');
                }
            }

            // 解除授权隐私政策
            $rootScope.deauthorizePrivacyPolicy = function () {
                // 确认提示
                $ionicPopup.confirm({
                    title: "提示",
                    template: "解除授权将会无法使用本产品提供的相关服务",
                    cancelText: '取消',
                    okText: '解除并退出'
                }).then(function (res) {
                    if (res) {
                        // 清空授权状态
                        localStorage.privacyPolicyAuthStatus = "0";
                        console.log('exitApp');
                        // 退出APP
                        ionic.Platform.exitApp();
                    }
                })
            }

            // 真机环境下执行
            if (window.cordova && $cordovaDevice) {
                // 若安卓平台
                if (currentPlatform == "Android") {
                    // 获取推送ID
                    window.plugins.jPushPlugin.getRegistrationID(function (regId) {
                        deviceToken = regId;
                        localStorage.deviceToken = regId;
                        // Rom推送
                        window.plugins.FWPushPlugin.callFWPush(function (data) {
                            //alert(JSON.stringify(data));
                            $http({
                                method: 'POST',
                                dataType: 'JSON',
                                url: serviceUrl + "/Account/RegisterRom",
                                withCredentials: true,
                                data: {
                                    rom: data.ROM,
                                    version: data.VERSION,
                                    token: data.TOKEN,
                                    platformVersion: data.ANDROID_VERSION,
                                    brand: data.BRAND,
                                    model: data.MODEL,
                                    manufacturer: data.MANUFACTURER,
                                    device: data.DEVICE
                                }
                            }).success(function (data, status) {
                                ; //alert(data.result);
                            }).error(function (data, status) {
                                ; //alert(data.result);
                            });
                        }, function (error) {
                            ;
                        });
                    })
                }
                // 若苹果平台
                else if (currentPlatform == "iOS") {
                    // 获取推送ID，写入全局var变量
                    //document.location = "get:deviceToken";
                    // 上传通知权限状态
                    SetNoticeAuth();
                }
            }

            // 2020-4-17 14:23:06 检查用户隐私政策授权状态
            $rootScope.checkPrivacyPolicyAuthStatus();
        });

        // 返回按钮
        $rootScope.goBack = function () {
            $window.history.back();
        }

        $rootScope.$on("$locationChangeSuccess", locationChangeSuccess);

        function locationChangeSuccess(event, newUrl) {
            // 显示底部菜单
            if (newUrl.indexOf('#') != -1) {
                var route = newUrl.substr(newUrl.indexOf('#') + 1);
                $rootScope.route = route;

                // 适老化显示底部菜单
                $rootScope.hasFooter = route == '/app/home' || route.indexOf('/app/addWish/') == 0 || route.indexOf('/app/opAppt/') == 0 || route == '/app/opCallList' || route.indexOf('/app/report/') == 0 || route == '/app/personal' ||
                    route == '/app_elderly/home' || route.indexOf('/app_elderly/addWish/') == 0 || route.indexOf('/app_elderly/opAppt/') == 0 || route == '/app_elderly/opCallList' || route.indexOf('/app_elderly/report/') == 0 || route == '/app_elderly/personal';
            }
            // 清空历史记录
            if (newUrl.indexOf('#/login') != -1
                || newUrl.indexOf('#/app/home') != -1
                || newUrl.indexOf('#/app/addWish') != -1
                || newUrl.indexOf('#/app/opAppt') != -1
                || newUrl.indexOf('#/app/opCallList') != -1
                || newUrl.indexOf('#/app/report') != -1
                || newUrl.indexOf('#/app/personal') != -1
                || newUrl.indexOf('#/app_elderly/home') != -1
                || newUrl.indexOf('#/app_elderly/addWish') != -1
                || newUrl.indexOf('#/app_elderly/opAppt') != -1
                || newUrl.indexOf('#/app_elderly/opCallList') != -1
                || newUrl.indexOf('#/app_elderly/report') != -1
                || newUrl.indexOf('#/app_elderly/personal') != -1) {
                $ionicHistory.clearHistory();
            }
        }

        // 初始化一下消息中心提示
        // 是否有未读消息
        $rootScope.hasUnread = false;
        $rootScope.unReadCount = 0;

        // 支付状态 0:无支付 1:待支付
        $rootScope.payStatus = 0;
        // 支付剩余时间
        $rootScope.payTimeLeft = 0;
        // 支付计时器
        $rootScope.payResendTimeer = {};

        // 2020-7-14 18:59:44 HM 核酸检测支付
        // 支付剩余时间
        $rootScope.payTimeLeftNCP = 0;
        // 支付状态 0:无支付 1:待支付
        $rootScope.payStatusNCP = 0;
        // 支付计时器
        $rootScope.payResendTimeerNCP = {};

        // 格式化分秒
        $rootScope.secondsTommss = function (seconds) {
            var strMin = "" + parseInt(seconds / 60);
            var strSec = "" + seconds % 60;
            if (strMin.length < 2) {
                strMin = "0" + strMin;
            }
            if (strSec.length < 2) {
                strSec = "0" + strSec;
            }
            return strMin + ":" + strSec;
        }

        // 2018-10-18 11:05:44 院内导航
        $rootScope.inHospitalNavigate = function (param, funcSuccess, funcError) {
            // 真机
            if (window.cordova && $cordovaDevice) {
                // 2019-3-1 10:21:25 检查院内导航开关
                $ionicLoading.show();
                HospitalService.checkInHospitalNavStatus().then(function (data) {
                    $ionicLoading.hide();
                    // 开放
                    if (data.result == 1) {
                        // param: {targetId: "1F02A300", targetName: "内科门诊第三诊区"}
                        if (param == null) {
                            param = {};
                        }
                        if (funcSuccess == null) {
                            funcSuccess = function () { };
                        }
                        if (funcError == null) {
                            funcError = function () { };
                        }
                        if ("iOS" == currentPlatform) {
                            ipsmap.show(param, funcSuccess, funcError);
                        }
                        else if ("Android" == currentPlatform) {
                            window.plugins.DYXPositionPlugin.callDYXPosition(param, funcSuccess, funcError);
                        }
                        else {
                            $fwCordovaToast.showShortBottom('您的系统暂不支持院内导航');
                            return;
                        }
                    }
                    // 关闭
                    else if (data.result == -99) {
                        $fwCordovaToast.showShortBottom(data.msg);
                    }
                    // 异常
                    else {
                        $fwCordovaToast.showShortBottom("网络异常，请稍后重试");
                    }
                }, function (data) {
                    $ionicLoading.hide();
                    $fwCordovaToast.showShortBottom("网络异常，请稍后重试");
                })
            }
            else {
                $fwCordovaToast.showShortBottom('您的系统暂不支持院内导航');
                return;
            }
        }
    }
])

.config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider) {
    $stateProvider

    // 登录页
    .state('login', {
        url: '/login',
        templateUrl: function () {
            if (localStorage.elderly == 'true') {
                return "templates_elderly/login.html";
            }
            else {
                return "templates/login.html";
            }
        },
        controller: 'AccountController'
    })
    // 注册页
    .state('register', {
        url: '/register',
        templateUrl: function () {
            if (localStorage.elderly == 'true') {
                return "templates_elderly/register.html";
            }
            else {
                return "templates/register.html";
            }
        },
        controller: 'AccountController'
    })
    // 重置密码
    .state('resetPassword', {
        url: '/resetPassword',
        templateUrl: function () {
            if (localStorage.elderly == 'true') {
                return "templates_elderly/resetPassword.html";
            }
            else {
                return "templates/resetPassword.html";
            }
        },
        controller: 'ResetPasswordController'
    })
    // 菜单页
    .state('app', {
        url: '/app',
        abstract: false,
        templateUrl: function () {
            if (localStorage.elderly == 'true') {
                return "templates_elderly/menu.html";
            }
            else {
                return "templates/menu.html";
            }
        },
        controller: 'MenuController'
    })
    // 首页
    .state('app.home', {
        url: '/home',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/home.html";
                    }
                    else {
                        return "templates/home.html";
                    }
                },
                controller: 'HomeController'
            }
        }
    })
    // 医院介绍
    .state('app.description', {
        url: '/description',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/description.html";
                    }
                    else {
                        return "templates/description.html";
                    }
                },
                controller: 'HospitalController'
            }
        }
    })
    // 科室列表
    .state('app.department', {
        url: '/department',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/department.html";
                    }
                    else {
                        return "templates/department.html";
                    }
                },
                controller: 'DepartmentController'
            }
        }
    })
    // 医生列表
    .state('app.doctor', {
        url: '/doctor/{deptId}/{deptName}',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/doctor.html";
                    }
                    else {
                        return "templates/doctor.html";
                    }
                },
                controller: 'DoctorController'
            }
        }
    })
    // 科室介绍
    .state('app.deptInfo', {
        url: '/deptInfo/{deptId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/deptInfo.html";
                    }
                    else {
                        return "templates/deptInfo.html";
                    }
                },
                controller: 'DeptInfoController'
            }
        }
    })
    // 医生介绍
    .state('app.doctorInfo', {
        url: '/doctorInfo/{doctorId}/{deptId}/{doctorCode}/{deptName}/{doctorName}/{doctorLevel}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/doctorInfo.html";
                    }
                    else {
                        return "templates/doctorInfo.html";
                    }
                },
                controller: 'DoctorInfoController'
            }
        }
    })
    // 出诊排班
    .state('app.scheduling', {
        url: '/scheduling/{division}/{schedDate}/{schedTime}/{doctorLevel}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/scheduling.html";
                    }
                    else {
                        return "templates/scheduling.html";
                    }
                },
                controller: 'SchedulingController'
            }
        }
    })
    // 个人中心
    .state('app.personal', {
        url: '/personal',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/personal.html";
                    }
                    else {
                        return "templates/personal.html";
                    }
                },
                controller: 'PersonalController'
            }
        }
    })
    // 预约申请
    .state('app.wishlist', {
        url: '/wishlist',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/wishlist.html";
                    }
                    else {
                        return "templates/wishlist.html";
                    }
                },
                controller: 'WishlistController'
            }
        }
    })
    // 就诊人首页
    .state('app.visitPatient', {
        url: '/visitPatient/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/visitPatient.html";
                    }
                    else {
                        return "templates/visitPatient.html";
                    }
                },
                controller: 'VisitPatientController'
            }
        }
    })
    // lis列表
    .state('app.lis', {
        url: '/lis/{vpid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/lis.html";
                    }
                    else {
                        return "templates/lis.html";
                    }
                },
                controller: 'LisController'
            }
        }
    })
    // 检查列表
    .state('app.check', {
        url: '/check/{vpid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/check.html";
                    }
                    else {
                        return "templates/check.html";
                    }
                },
                controller: 'CheckController'
            }
        }
    })
    // 检验查询
    .state('app.report', {
        url: '/report/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/report.html";
                    }
                    else {
                        return "templates/report.html";
                    }
                },
                controller: 'ReportController'
            }
        }
    })
    // 候诊叫号
    .state('app.opCallList', {
        url: '/opCallList',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opCallList.html";
                    }
                    else {
                        return "templates/opCallList.html";
                    }
                },
                controller: 'OpCallListController'
            }
        }
    })
    // 添加预约
    .state('app.addWish', {
        url: '/addWish/{opid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/addWish.html";
                    }
                    else {
                        return "templates/addWish.html";
                    }
                },
                controller: 'AddWishController'
            }
        }
    })
    // 安全中心
    .state('app.securityCenter', {
        url: '/securityCenter/{accountId}/',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/securityCenter.html";
                    }
                    else {
                        return "templates/securityCenter.html";
                    }
                },
                controller: 'SecurityCenterController'
            }
        }
    })
    // 修改密码
    .state('app.changePassword', {
        url: '/changePassword/',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/changePassword.html";
                    }
                    else {
                        return "templates/changePassword.html";
                    }
                },
                controller: 'ChangePasswordController'
            }
        }
    })
    // 预约管理
    .state('app.apptList', {
        url: '/apptList/{status}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/apptList.html";
                    }
                    else {
                        return "templates/apptList.html";
                    }
                },
                controller: 'ApptController'
            }
        }
    })
    // 修改手机
    .state('app.changePhoneNumber', {
        url: '/changePhoneNumber/{phoneNumber}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/changePhoneNumber.html";
                    }
                    else {
                        return "templates/changePhoneNumber.html";
                    }
                },
                controller: 'ChangePhoneNumberController'
            }
        }
    })
    // 查询密码
    .state('app.queryPassword', {
        url: '/queryPassword/{type}/{phoneNumber}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/queryPassword.html";
                    }
                    else {
                        return "templates/queryPassword.html";
                    }
                },
                controller: 'QueryPasswordController'
            }
        }
    })
    // 健康科普
    .state('app.knowledge', {
        url: '/knowledge',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/knowledge.html";
                    }
                    else {
                        return "templates/knowledge.html";
                    }
                },
                controller: 'KnowledgeController'
            }
        }
    })
    // 健康记录
    .state('app.health', {
        url: '/health/{vpid}/{from}/{titleName}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/health.html";
                    }
                    else {
                        return "templates/health.html";
                    }
                },
                controller: 'HealthController'
            }
        }
    })
    // 健康资料
    .state('app.healthinfo', {
        url: '/healthinfo/{vpid}/{part}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/healthinfo.html";
                    }
                    else {
                        return "templates/healthinfo.html";
                    }
                },
                controller: 'HealthInfoController'
            }
        }
    })
    // 消息中心
    .state('app.message', {
        url: '/message',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/message.html";
                    }
                    else {
                        return "templates/message.html";
                    }
                },
                controller: 'MessageController'
            }
        }
    })
    // 关于我们
    .state('app.aboutUs', {
        url: '/aboutUs',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/aboutUs.html";
                    }
                    else {
                        return "templates/aboutUs.html";
                    }
                },
                controller: 'AboutUsController'
            }
        }
    })
    // 查询机
    .state('app.feeItem', {
        url: '/feeItem',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/feeItem.html";
                    }
                    else {
                        return "templates/feeItem.html";
                    }
                },
                controller: 'FeeItemController'
            }
        }
    })
    // 手术状态
    .state('app.surgical', {
        url: '/surgical',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/surgical.html";
                    }
                    else {
                        return "templates/surgical.html";
                    }
                },
                controller: 'SurgicalController'
            }
        }
    })
    // 用药计划
    .state('app.medicationPlan', {
        url: '/medicationPlan/{vpid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/medicationPlan.html";
                    }
                    else {
                        return "templates/medicationPlan.html";
                    }
                },
                controller: 'MedicationPlanController'
            }
        }
    })
    // 诊前信息
    .state('app.preVisit', {
        url: '/preVisit/{vpid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/preVisit.html";
                    }
                    else {
                        return "templates/preVisit.html";
                    }
                },
                controller: 'PreVisitController'
            }
        }
    })
    // 既往史
    .state('app.diseaseHistory', {
        url: '/diseaseHistory/{vpid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/diseaseHistory.html";
                    }
                    else {
                        return "templates/diseaseHistory.html";
                    }
                },
                controller: 'DiseaseHistoryController'
            }
        }
    })
    // 就诊记录
    .state('app.visitHistory', {
        url: '/visitHistory/{vpid}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/visitHistory.html";
                    }
                    else {
                        return "templates/visitHistory.html";
                    }
                },
                controller: 'VisitHistoryController'
            }
        }
    })
    //    // 随访
    //    .state('app.flup', {
    //        url: '/flup',
    //        cache: false,
    //        views: {
    //            'menu-content': {
    //                templateUrl: 'templates/flup.html',
    //                controller: 'FlupController'
    //            }
    //        }
    //    })
    // INR随访
    .state('app.flupINR', {
        url: '/flupINR/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/flupINR.html";
                    }
                    else {
                        return "templates/flupINR.html";
                    }
                },
                controller: 'FlupINRController'
            }
        }
    })
    // 问卷调查 通用的 下面的吸烟实际上以后就走这个了，除非加日记功能
    .state('app.srvy', {
        url: '/srvy/{vpid}/{type}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/srvy.html";
                    }
                    else {
                        return "templates/srvy.html";
                    }
                },
                controller: 'SrvyController'
            }
        }
    })
    // 饮食
    .state('app.diet', {
        url: '/diet/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/diet.html";
                    }
                    else {
                        return "templates/diet.html";
                    }
                },
                controller: 'DietController'
            }
        }
    })
    // 吸烟
    .state('app.smoking', {
        url: '/smoking/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/smoking.html";
                    }
                    else {
                        return "templates/smoking.html";
                    }
                },
                controller: 'SmokingController'
            }
        }
    })
    // 自动问诊
    .state('app.autoInquiry', {
        url: '/autoInquiry/{vpid}/{firstFrom}/{continueInquiry}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/autoInquiry.html";
                    }
                    else {
                        return "templates/autoInquiry.html";
                    }
                },
                controller: 'AutoInquiryController'
            }
        }
    })
    // 自动问诊反馈
    .state('app.autoInquiryFeedback', {
        url: '/autoInquiryFeedback',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/autoInquiryFeedback.html";
                    }
                    else {
                        return "templates/autoInquiryFeedback.html";
                    }
                },
                controller: 'AutoInquiryFeedbackController'
            }
        }
    })
    // 在线咨询
    .state('app.onlineConsultation', {
        url: '/onlineConsultation/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/onlineConsultation.html";
                    }
                    else {
                        return "templates/onlineConsultation.html";
                    }
                },
                controller: 'OnlineConsultationController'
            }
        }
    })
    // 在线咨询追问过程
    .state('app.onlineConsultationProcess', {
        url: '/onlineConsultationProcess/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/onlineConsultationProcess.html";
                    }
                    else {
                        return "templates/onlineConsultationProcess.html";
                    }
                },
                controller: 'OnlineConsultationProcessController'
            }
        }
    })
    // 处方开药
    .state('app.prescriptionMedical', {
        url: '/prescriptionMedical/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/prescriptionMedical.html";
                    }
                    else {
                        return "templates/prescriptionMedical.html";
                    }
                },
                controller: 'prescriptionMedicalController'
            }
        }
    })
    // 在线建档(电子就诊卡)
    .state('app.onlineArchives', {
        url: '/onlineArchives',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/onlineArchives.html";
                    }
                    else {
                        return "templates/onlineArchives.html";
                    }
                },
                controller: 'OnlineArchivesController'
            }
        }
    })
    // 门诊预存
    .state('app.payment', {
        url: '/payment',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/payment.html";
                    }
                    else {
                        return "templates/payment.html";
                    }
                },
                controller: 'PaymentController'
            }
        }
    })
    // 支付详情
    .state('app.paymentDetails', {
        url: '/paymentDetails/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/paymentDetails.html";
                    }
                    else {
                        return "templates/paymentDetails.html";
                    }
                },
                controller: 'PaymentDetailsController'
            }
        }
    })
    // 门诊缴费
    .state('app.opPayment', {
        url: '/opPayment/{status}/{vpid}/{from}/{rlatObjId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opPayment.html";
                    }
                    else {
                        return "templates/opPayment.html";
                    }
                },
                controller: 'OpPaymentController'
            }
        }
    })
    // 检查预约
    .state('app.checkAppt', {
        url: '/checkAppt/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/checkAppt.html";
                    }
                    else {
                        return "templates/checkAppt.html";
                    }
                },
                controller: 'CheckApptController'
            }
        }
    })
    // 检查申请单
    //    .state('app.checkAppl', {
    //        url: '/checkAppl/{from}',
    //        cache: false,
    //        views: {
    //            'menu-content': {
    //                templateUrl: 'templates/checkAppl.html',
    //                controller: 'CheckApplController'
    //            }
    //        }
    //    })
    // 处方查询
    .state('app.opPrescription', {
        url: '/opPrescription/{vpid}/{from}/{type}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opPrescription.html";
                    }
                    else {
                        return "templates/opPrescription.html";
                    }
                },
                controller: 'OpPrescriptionController'
            }
        }
    })
    // 在线开药
    .state('app.olTreatRecipe', {
        url: '/olTreatRecipe/{vpid}/{from}/{autoFirstFrom}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/olTreatRecipe.html";
                    }
                    else {
                        return "templates/olTreatRecipe.html";
                    }
                },
                controller: 'OlTreatRecipeController'
            }
        }
    })
    // 开药详情
    .state('app.olTreatRecipeList', {
        url: '/olTreatRecipeList/{status}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/olTreatRecipeList.html";
                    }
                    else {
                        return "templates/olTreatRecipeList.html";
                    }
                },
                controller: 'OlTreatRecipeListController'
            }
        }
    })
    // 医院动态
    .state('app.news', {
        url: '/news/{id}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/news.html";
                    }
                    else {
                        return "templates/news.html";
                    }
                },
                controller: 'NewsController'
            }
        }
    })
    // 慈善救助
    .state('app.articleApp', {
        url: '/articleApp/{columnId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/articleApp.html";
                    }
                    else {
                        return "templates/articleApp.html";
                    }
                },
                controller: 'ArticleAppController'
            }
        }
    })
    // 预约说明
    .state('app.apptDescr', {
        url: '/apptDescr',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/apptDescr.html";
                    }
                    else {
                        return "templates/apptDescr.html";
                    }
                },
                controller: 'ApptDescrController'
            }
        }
    })
    // 智能分诊
    .state('app.triage', {
        url: '/triage/{triageId}/{doctorId}/{vpId}/{speciality}/{firstFrom}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/triage.html";
                    }
                    else {
                        return "templates/triage.html";
                    }
                },
                controller: 'TriageController'
            }
        }
    })
    // 搜索
    .state('app.search', {
        url: '/search',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/search.html";
                    }
                    else {
                        return "templates/search.html";
                    }
                },
                controller: 'SearchController'
            }
        }
    })
    // 当日预约
    .state('app.opReg', {
        url: '/opReg',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opReg.html";
                    }
                    else {
                        return "templates/opReg.html";
                    }
                },
                controller: 'OpRegController'
            }
        }
    })
    // 预约挂号-缴费版
    .state('app.opAppt', {
        url: '/opAppt/{opid}/{from}/{vpId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opAppt.html";
                    }
                    else {
                        return "templates/opAppt.html";
                    }
                },
                controller: 'OpApptController'
            }
        }
    })
    // 挂号列表
    .state('app.opRegList', {
        url: '/opRegList/{status}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opRegList.html";
                    }
                    else {
                        return "templates/opRegList.html";
                    }
                },
                controller: 'OpRegListController'
            }
        }
    })
    // 预约挂号列表
    .state('app.opApptList', {
        url: '/opApptList/{status}/{from}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opApptList.html";
                    }
                    else {
                        return "templates/opApptList.html";
                    }
                },
                controller: 'OpApptListController'
            }
        }
    })
    // 疑难病会诊申请
    .state('app.spclConsultation', {
        url: '/spclConsultation/{from}',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/spclConsultation.html";
                    }
                    else {
                        return "templates/spclConsultation.html";
                    }
                },
                controller: 'SpclConsultationController'
            }
        }
    })
    // 住院登记
    .state('app.ipReg', {
        url: '/ipReg/{vpid}/{from}/{hisCardNum}/{ipNoticeId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/ipReg.html";
                    }
                    else {
                        return "templates/ipReg.html";
                    }
                },
                controller: 'IpRegController'
            }
        }
    })
    // 满意度调查
    .state('app.satis', {
        url: '/satis/{status}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/satis.html";
                    }
                    else {
                        return "templates/satis.html";
                    }
                },
                controller: 'SatisController'
            }
        }
    })
    // 住院满意度
    .state('app.ipSatis', {
        url: '/ipSatis/{satisId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/ipSatis.html";
                    }
                    else {
                        return "templates/ipSatis.html";
                    }
                },
                controller: 'IpSatisController'
            }
        }
    })
    // 健康宣教
    .state('app.edu', {
        url: '/edu/{columnId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/edu.html";
                    }
                    else {
                        return "templates/edu.html";
                    }
                },
                controller: 'EduController'
            }
        }
    })
    // 就医指南
    .state('app.medicalGuide', {
        url: '/medicalGuide',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/medicalGuide.html";
                    }
                    else {
                        return "templates/medicalGuide.html";
                    }
                },
                controller: 'MedicalGuideController'
            }
        }
    })
    // 门诊缴费明细
    .state('app.opConsumption', {
        url: '/opConsumption/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opConsumption.html";
                    }
                    else {
                        return "templates/opConsumption.html";
                    }
                },
                controller: 'OpConsumptionController'
            }
        }
    })
    // 住院预存充值
    .state('app.ipCharge', {
        url: '/ipCharge',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/ipCharge.html";
                    }
                    else {
                        return "templates/ipCharge.html";
                    }
                },
                controller: 'IpChargeController'
            }
        }
    })
    // 住院预存充值记录
    .state('app.ipChargeRecord', {
        url: '/ipChargeRecord/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/ipChargeRecord.html";
                    }
                    else {
                        return "templates/ipChargeRecord.html";
                    }
                },
                controller: 'IpChargeRecordController'
            }
        }
    })
    // 个人设置
    .state('app.setting', {
        url: '/setting',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/setting.html";
                    }
                    else {
                        return "templates/setting.html";
                    }
                },
                controller: 'SettingController'
            }
        }
    })
    // 使用帮助
    .state('app.instruction', {
        url: '/instruction',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/instruction.html";
                    }
                    else {
                        return "templates/instruction.html";
                    }
                },
                controller: 'InstructionController'
            }
        }
    })
    // 心脑血管病风险评估
    .state('app.cvdrisk', {
        url: '/cvdrisk/{vpId}',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/cvdrisk.html";
                    }
                    else {
                        return "templates/cvdrisk.html";
                    }
                },
                controller: 'CvdriskController'
            }
        }
    })
    // 心脑血管病风险评估结果
    .state('app.cvdriskResult', {
        url: '/cvdriskResult',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/cvdriskResult.html";
                    }
                    else {
                        return "templates/cvdriskResult.html";
                    }
                },
                controller: 'CvdriskResultController'
            }
        },
        params: { data: null }
    })
    // 心脑血管病风险评估列表
    .state('app.cvdriskList', {
        url: '/cvdriskList/{vpId}',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/cvdriskList.html";
                    }
                    else {
                        return "templates/cvdriskList.html";
                    }
                },
                controller: 'CvdriskListController'
            }
        }
    })
    // 住院结算审核查询
    .state('app.discharge', {
        url: '/discharge',
        cache: true,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/discharge.html";
                    }
                    else {
                        return "templates/discharge.html";
                    }
                },
                controller: 'DischargeController'
            }
        }
    })
    // 查体预约申请
    .state('app.medicalAppoint', {
        url: '/medicalAppoint',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/medicalAppoint.html";
                    }
                    else {
                        return "templates/medicalAppoint.html";
                    }
                },
                controller: 'MedicalAppointController'
            }
        }
    })
    // 查体预约管理
    .state('app.medicalAppointForm', {
        url: '/MedicalAppointForm',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/medicalAppointForm.html";
                    }
                    else {
                        return "templates/medicalAppointForm.html";
                    }
                },
                controller: 'MedicalAppointFormController'
            }
        }
    })
    // 公共栏目文章列表
    .state('app.articleWeb', {
        url: '/articleWeb/{firstColumnId}/{secondColumnId}/{articleId}/{articleType}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/articleWeb.html";
                    }
                    else {
                        return "templates/articleWeb.html";
                    }
                },
                controller: 'ArticleWebController'
            }
        }
    })
    // 病案复印
    .state('app.casePrint', {
        url: '/casePrint/{applyId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/casePrint.html";
                    }
                    else {
                        return "templates/casePrint.html";
                    }
                },
                controller: 'CasePrintController'
            }
        }
    })
    // 病案复印列表
    .state('app.casePrintList', {
        url: '/casePrintList',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/casePrintList.html";
                    }
                    else {
                        return "templates/casePrintList.html";
                    }
                },
                controller: 'CasePrintListController'
            }
        }
    })
    // 合一下就诊卡绑定之类的
    .state('app.dealWithCard', {
        url: '/dealWithCard/{go}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/dealWithCard.html";
                    }
                    else {
                        return "templates/dealWithCard.html";
                    }
                },
                controller: 'DealWithCardController'
            }
        }
    })
    // 在线问诊/复诊诊疗
    .state('app.consultation', {
        url: '/consultation/{vpid}/{from}/{autoFirstFrom}/{doctorCode}/{treatType}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/consultation.html";
                    }
                    else {
                        return "templates/consultation.html";
                    }
                },
                controller: 'ConsultationController'
            }
        }
    })
    // 视频候诊叫号
    .state('app.videoCall', {
        url: '/videoCall',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/videoCall.html";
                    }
                    else {
                        return "templates/videoCall.html";
                    }
                },
                controller: 'VideoCallController'
            }
        }
    })
    //诊前问卷
    .state('app.opQuestionnaire', {
        url: '/opQuestionnaire/{vpid}/{opregid}/{type}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/opQuestionnaire.html";
                    }
                    else {
                        return "templates/opQuestionnaire.html";
                    }
                },
                controller: 'OpQuestionnaireController'
            }
        }
    })
    // 药品快递到家
    .state('app.express', {
        url: '/express/{applyId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/express.html";
                    }
                    else {
                        return "templates/express.html";
                    }
                },
                controller: 'ExpressController'
            }
        }
    })
    // 我的在线问诊
    .state('app.consultationList', {
        url: '/consultationList/{treatType}/{toPayReferral}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/consultationList.html";
                    }
                    else {
                        return "templates/consultationList.html";
                    }
                },
                controller: 'ConsultationListController'
            }
        }
    })
    // 核酸检测预约
    .state('app.coronavirus', {
        url: '/coronavirus/{from}/{vpid}/{autoFirstFrom}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/coronavirus.html";
                    }
                    else {
                        return "templates/coronavirus.html";
                    }
                },
                controller: 'CoronavirusController'
            }
        }
    })
    // 预留手机号修改
    .state('app.changeReservedPhone', {
        url: '/changeReservedPhone/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/changeReservedPhone.html";
                    }
                    else {
                        return "templates/changeReservedPhone.html";
                    }
                },
                controller: 'ChangeReservedPhoneController'
            }
        }
    })
    // 无偿献血登记
    .state('app.donateBlood', {
        url: '/donateBlood',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/donateBlood.html";
                    }
                    else {
                        return "templates/donateBlood.html";
                    }
                },
                controller: 'DonateBloodController'
            }
        }
    })
    // 投诉建议
    .state('app.complain', {
        url: '/complain',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/complain.html";
                    }
                    else {
                        return "templates/complain.html";
                    }
                },
                controller: 'ComplainController'
            }
        }
    })
    // 康复治疗计划
    .state('app.rhbPlan', {
        url: '/rhbPlan/{vpid}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/rhbPlan.html";
                    }
                    else {
                        return "templates/rhbPlan.html";
                    }
                },
                controller: 'rhbPlanController'
            }
        }
    })
    // 视频问诊
    .state('app.olTreatVideo', {
        url: '/olTreatVideo/{treatApplyId}/{vpId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: function () {
                    if (localStorage.elderly == 'true') {
                        return "templates_elderly/olTreatVideo.html";
                    }
                    else {
                        return "templates/olTreatVideo.html";
                    }
                },
                controller: 'OlTreatVideoController'
            }
        }
    })
    // 专科随访 2021-12-07 hzg
    .state('app.flupSrvy', {
        url: '/flupSrvy/{vpId}',
        cache: false,
        views: {
            'menu-content': {
                templateUrl: 'templates/flupSrvy.html',
                controller: 'flupSrvyController'
            }
        }
    })
    $urlRouterProvider.otherwise('/app/home');

    // 默认tab底部
    $ionicConfigProvider.tabs.position("bottom");

    // 禁用侧滑后退
    //$ionicConfigProvider.platform.android.views.swipeBackEnabled(true);
    $ionicConfigProvider.platform.ios.views.swipeBackEnabled(false);

    // 添加拦截器
    $httpProvider.interceptors.push('authInterceptor');
})

.factory('authInterceptor', function ($q) {
    // 注册拦截器
    var interceptor = {
        request: function (config) {
            // 拦截所有向API服务器发送额度JSONP请求，添加用户信息和设备信息
            //console.log(localStorage.currentAccount.accountId);
            if (config.url.indexOf(serviceUrl) >= 0) {
                if (config.method == "JSONP") {
                    config.url = config.url + '&a=' + localStorage.currentAccountId + "&p=" + currentPlatform + '&t=' + deviceToken + '&v=' + currentAppVersion;
                } else if (config.method == "POST") {
                    config.headers["FW-Account-Id"] = localStorage.currentAccountId;
                    config.headers["FW-Device-Platform"] = currentPlatform;
                    config.headers["FW-Push-Token"] = deviceToken;
                    config.headers["FW-App-Version"] = currentAppVersion;
                    config.headers["FW-Xhr-Timestamps"] = Date.parse(new Date());
                    config.headers["FW-Xhr-Token"] = calcToken(config);
                    // 2019-9-17 16:40:21 当前客户端开发模式
                    if (devMode || betaMode) {
                        var m = 0;
                        if (betaMode) {
                            m = 1;
                        }
                        if (devMode) {
                            m = 2;
                        }
                        config.headers["FW-Dev-Mode"] = m;
                    }
                }
            }
            //console.log(config.url);
            return config;
        }
    }
    return interceptor;
})

.factory('$fwCordovaToast', ['$cordovaToast', '$window', '$ionicPopup', '$rootScope', function ($cordovaToast, $window, $ionicPopup, $rootScope) {
    return {
        showShortBottom: function (msg) {
            // 判断是否为适老版
            if ($rootScope.elderly == 'true' || $rootScope.elderly == true) {
                setTimeout(function () {
                    var alertPopup = $ionicPopup.alert({
                        title: "提示",
                        template: msg,
                        okText: "确定"
                    });
                }, 500);
            }
            else {
                if (typeof (msg) == 'undefined' || msg == undefined) {
                    console.warn('Toast:\nundefined');
                }
                else if ($window.plugins) {
                    $cordovaToast.showShortBottom(msg);
                }
                else {
                    console.warn('Toast:\n' + msg);
                }
            }
        },
        showLongBottom: function (msg) {
            // 判断是否为适老版
            if ($rootScope.elderly == 'true' || $rootScope.elderly == true) {
                setTimeout(function () {
                    var alertPopup = $ionicPopup.alert({
                        title: "提示",
                        template: msg,
                        okText: "确定"
                    });
                }, 500);
            }
            else {
                if (typeof (msg) == 'undefined' || msg == undefined) {
                    console.warn('Toast:\nundefined');
                }
                else if ($window.plugins) {
                    $cordovaToast.showLongBottom(msg);
                }
                else {
                    console.warn('Toast:\n' + msg);
                }
            }
        }
    }
} ])

// 2019-1-18 14:54:54 去iOS输入法空格
.directive('noIosKeyboardSpaces', function () {
    return {
        restrict: 'A',
        scope: {
            ngModel: '='
        },
        link: function (scope, element, attrs, ctrl) {
            element.on('blur', function () {
                var charSpace = String.fromCharCode(8198);
                var val = element[0].value;
                if (val != null && val.indexOf(charSpace) != -1) {
                    scope.$apply(function () {
                        scope.ngModel = val.split(charSpace).join('');
                    });
                }
            });
        }
    }
})

// 2020-12-21 13:22:03 HM 处理textarea自适应其文本高度问题（提出个公共的指令）
.directive('textareaAutoHeight', function () {
    return {
        restrict: 'A',
        scope: {
            ngModel: '='
        },
        link: function (scope, element, attrs) {
            // 不加延时，不好用= =
            var timer = setTimeout(function () {
                element[0].style.height = "auto";
                element[0].scrollTop = 0; // 防抖动
                element[0].style.height = element[0].scrollHeight + 'px';
            }, 100);
        }
    }
})

//.directive("testCompnnent", function () {
//    return {
//        restrict: 'A',
//        template: '<div><div>visitPatientId: {{visitPatientId}}</div><div ng-click="clickit()">clickit</div></div>',
//        scope: {
//            visitPatientId: '=ngModel'
//        },
//        link: function (scope, element, attrs, ctrl) {
//            scope.clickit = function () {
//                console.log('clickit');
//                scope.visitPatientId = "354.1681";
//            };
//        }
//    }
//})

// 定义controller集
angular.module('fwapp.controllers', [])

// 定义service集
angular.module('fwapp.services', [])

angular.module('fwapp.services').service('BaseService', function ($q, $http, $state) {
    return {
        post: function (url, data) {
            var deferred = $q.defer();
            $http({
                method: 'POST',
                dataType: 'JSON',
                url: serviceUrl + url,
                data: data,
                withCredentials: true
            }).success(function (data, status) {
                deferred.resolve(data);
            }).error(function (data, status) {
                deferred.reject(status);
            });

            return deferred.promise;
        }
    }
})

// $ionicScrollDelegate not working for content in modals
// as described here: https://github.com/driftyco/ionic/issues/2754
// So using an intermediary service until it's fixed.
// Change to return standard and it should use native functionality.
angular.module('fwapp.services').service('fwScrollDelegate', function ($ionicScrollDelegate) {
    var custom = {
        $getByHandle: function (name) {
            var instances = $ionicScrollDelegate.$getByHandle(name)._instances;
            return instances.filter(function (element) {
                return (element['$$delegateHandle'] == name);
            })[0];
        }
    };
    return custom;
})
